.\" selog shell utility manual
.\"
.\" Written by Tony Finch <dot@dotat.at> <fanf2@cam.ac.uk>
.\" at the University of Cambridge Computing Service.
.\" You may do anything with this, at your own risk.
.\"
.\" $Cambridge: users/fanf2/selog/selog-cmd.man,v 1.5 2008/04/09 22:08:42 fanf2 Exp $
.\"
.lg 0
.de TQ
. br
. ns
. TP \\$1
..
.de DQ
\\*(lq\\$1\\*(rq\\$2
..
.\"
.TH selog @cmd@
.
.SH NAME
selog \- selective logging tool
.
.SH SYNOPSIS
.B selog
.RI [ config "] <" category "> <" level "> <" message "> ..."
.
.SH DESCRIPTION
Selog provides a shell command interface to the
.BR selog (@lib@)
library.
It takes the following arguments:
.TP
.I config
The first argument is an optional selog configuration string.
Its presence is recognozed if it starts with
.DQ - ,
.DQ + ,
or
.DQ @ .
See
.BR selog (@misc@)
for details.
.TP
.I category
The selector category name of the message to be logged.
.TP
.I level
The level of the message to be logged.
.TP
.I message
The remaining arguments are joined using spaces to produce the message
that is to be logged.
.
.SH EXIT STATUS
By default, selog exits with a status of zero,
though this can be changed to
.I n
using a
.I level
setting of
.DQ fatal(\fIn\fP) .
You can make selog dump core using an
.DQ abort
.I level
setting.
.P
Selog exits with a status of 1 if there is a problem with the command line.
If the
.I config
is invalid then a message is logged using the
.B "{log_config, ERROR}"
selector.
If there are not enough arguments
or if the
.I level
is invalid,
then a message is logged using the
.B "{usage, FATAL}"
selector.
.
.SH SEE ALSO
.BR selog (@lib@),
.BR selog (@misc@)
.
.SH AUTHOR
Written by Tony Finch <dot@dotat.at> <fanf2@cam.ac.uk>
.br
at the University of Cambridge Computing Service.
.br
Source available from <http://dotat.at/prog/selog>
.
.\" eof
